%global upstream_name Pygments
%global srcname pygments

Name:           python-%{srcname}2
Version:        2.2.0
Release:        1%{?dist}
Summary:        Syntax highlighting engine written in Python

License:        BSD
URL:            http://pygments.org/
Source0:        https://pypi.org/packages/source/P/%{upstream_name}/%{upstream_name}-%{version}.tar.gz

BuildArch:      noarch

%description
Pygments is a generic syntax highlighter for general use in all kinds
of software such as forum systems, wikis or other applications that
need to prettify source code. Highlights are:

  * a wide range of common languages and markup formats is supported
  * special attention is paid to details that increase highlighting
    quality
  * support for new languages and formats are added easily; most
    languages use a simple regex-based lexing mechanism
  * a number of output formats is available, among them HTML, RTF,
    LaTeX and ANSI sequences
  * it is usable as a command-line tool and as a library
  * ... and it highlights even Brainf*ck!


%package -n python2-%{srcname}2
BuildRequires:  python2-devel
%if 0%{?rhel} && 0%{?rhel} <= 7
BuildRequires:  python-setuptools
BuildRequires:  python-nose
%else
BuildRequires:  python2-setuptools
BuildRequires:  python2-nose
%endif
Summary:        %{summary}
%{?python_provide:%python_provide python2-%{srcname}2}

%description -n python2-%{srcname}2
Pygments is a generic syntax highlighter for general use in all kinds
of software such as forum systems, wikis or other applications that
need to prettify source code. Highlights are:

  * a wide range of common languages and markup formats is supported
  * special attention is paid to details that increase highlighting
    quality
  * support for new languages and formats are added easily; most
    languages use a simple regex-based lexing mechanism
  * a number of output formats is available, among them HTML, RTF,
    LaTeX and ANSI sequences
  * it is usable as a command-line tool and as a library
  * ... and it highlights even Brainf*ck!

%prep
%autosetup -n %{upstream_name}-%{version}

%build
%{__sed} -i 's/\r//' LICENSE
%py2_build_egg

%install
%py2_install_egg
mv %{buildroot}%{_bindir}/pygmentize{,2}

%files -n python2-%{srcname}2
%doc AUTHORS CHANGES TODO
%license LICENSE
%{python2_sitelib}/%{upstream_name}-%{version}-py%{python2_version}.egg/
%{_bindir}/pygmentize2

%changelog
* Wed Jul 26 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 2.2.0-1
- Initial EPEL7-compat release
